<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns="http://www.w3.org/2001/XMLSchema"
            xmlns:sat="http://ServiceAnalyzerTests/SimpleTypes"
            xmlns:xsd="http://www.w3.org/2001/XMLSchema"            
            targetNamespace="http://ServiceAnalyzerTests/SimpleTypes">

    <xsd:element name="est1" type="sat:st1"/>
    <simpleType name="st1">
        <restriction base="decimal">
            <minInclusive value="1"/>
            <maxInclusive value="50"/>
        </restriction>
    </simpleType>

    <xsd:element name="est2" type="sat:st2"/>
    <simpleType name="st2">
        <restriction base="decimal">
            <minExclusive value="1"/>
            <maxExclusive value="50"/>
        </restriction>
    </simpleType>

    <xsd:element name="est3" type="sat:st3"/>
    <simpleType name="st3">
        <restriction base="string">
            <minLength value="10"/>
            <maxLength value="15"/>
        </restriction>
    </simpleType>

    <xsd:element name="est4" type="sat:st4"/>
    <simpleType name="st4">
        <restriction base="string">
            <length value="10"/>
        </restriction>
    </simpleType>

    <xsd:element name="est5" type="sat:st5"/>
    <simpleType name="st5">
        <restriction base="integer">
            <minInclusive value="1"/>
            <maxExclusive value="20"/>
        </restriction>
    </simpleType>

    <xsd:element name="est6" type="sat:st6"/>
    <simpleType name="st6">
        <restriction base="int">
            <minInclusive value="1"/>
        </restriction>
    </simpleType>

    <xsd:element name="est7" type="sat:st7"/>
    <simpleType name="st7">
        <restriction base="string">
            <enumeration value="bad"/>
            <enumeration value="good"/>
        </restriction>
    </simpleType>

    <xsd:element name="est8" type="sat:st8"/>
    <simpleType name="st8">
        <restriction base="string">
            <enumeration value="bad"/>
            <enumeration value="good"/>
            <minLength value="3"/>
        </restriction>
    </simpleType>

    <xsd:element name="est9" type="sat:st9"/>
    <simpleType name="st9">
        <list itemType="int"/>
    </simpleType>

    <xsd:element name="est10" type="sat:st10"/>
    <simpleType name="st10">
        <restriction base="sat:st9">
            <length value="4"/>
        </restriction>
    </simpleType>

    <xsd:element name="est11" type="sat:st11"/>
    <simpleType name="st11">
        <list itemType="sat:st8"/>
    </simpleType>

    <xsd:element name="est12" type="sat:st12"/>
    <simpleType name="st12">
        <restriction base="sat:st11">
            <maxLength value="5"/>
        </restriction>
    </simpleType>

    <xsd:element name="est13"/>
    <xsd:simpleType name="st13">
        <xsd:restriction base="string">
            <xsd:pattern value="[a-zA-Z0-9]{8}"/>
        </xsd:restriction>
    </xsd:simpleType>

    <xsd:element name="est14" type="sat:st14"/>
    <simpleType name="st14">
        <restriction base="decimal">
            <fractionDigits value="2"/>
        </restriction>
    </simpleType>

    <xsd:element name="est15" type="sat:st15"/>
    <simpleType name="st15">
        <restriction base="decimal">
            <totalDigits value="5"/>
        </restriction>
    </simpleType>

    <xsd:element name="est16" type="sat:st16"/>
    <simpleType name="st16">
        <restriction base="short">
            <minInclusive value="1"/>
        </restriction>
    </simpleType>

    <xsd:element name="est20" type="sat:SKU"/>
    <xsd:simpleType name="SKU">
        <xsd:restriction base="xsd:string">
            <xsd:pattern value="\d{3}-[A-Z]{2}"/>
        </xsd:restriction>
    </xsd:simpleType>

    <xsd:element name="est21" type="sat:st21"/>
    <simpleType name="st21">
        <restriction base="float">
            <minInclusive value="1"/>
            <maxInclusive value="50"/>
        </restriction>
    </simpleType>

    <xsd:element name="est22" type="sat:st22"/>
    <simpleType name="st22">
        <restriction base="float">
            <minExclusive value="0"/>
            <maxExclusive value="51"/>
        </restriction>
    </simpleType>

    <xsd:element name="est23" type="sat:st23"/>
    <simpleType name="st23">
        <restriction base="double">
            <minExclusive value="0"/>
            <maxInclusive value="50"/>
        </restriction>
    </simpleType>

    <xsd:element name="est24" type="sat:st24"/>
    <simpleType name="st24">
        <restriction base="dateTime">
            <minExclusive value="2008-06-30T23:59:59.999+02:00"/>
            <maxExclusive value="2009-09-29T03:49:45.000+02:00"/>
        </restriction>
    </simpleType>

    <xsd:element name="est25" type="sat:st25"/>
    <simpleType name="st25">
        <restriction base="time">
            <minExclusive value="13:00:00+01:00"/>
            <maxInclusive value="14:30:00-05:00"/>
        </restriction>
    </simpleType>

    <xsd:element name="est26" type="sat:st26"/>
    <simpleType name="st26">
        <restriction base="date">
            <minInclusive value="2008-06-30"/>
            <maxExclusive value="2012-03-01"/>
        </restriction>
    </simpleType>

    <xsd:element name="est27" type="sat:st27"/>
    <simpleType name="st27">
        <restriction base="gYearMonth">
            <minExclusive value="2008-06+02:00"/>
            <maxExclusive value="2009-09+02:00"/>
        </restriction>
    </simpleType>

    <xsd:element name="est28" type="sat:st28"/>
    <simpleType name="st28">
        <restriction base="gYear">
            <minExclusive value="2011+02:00"/>
            <maxExclusive value="2021+02:00"/>
        </restriction>
    </simpleType>

    <xsd:element name="est29" type="sat:st29"/>
    <simpleType name="st29">
        <restriction base="gMonth">
            <minExclusive value="--09+01:00"/>
            <maxExclusive value="--12+01:00"/>
        </restriction>
    </simpleType>

    <xsd:element name="est30" type="sat:st30"/>
    <simpleType name="st30">
        <restriction base="gMonthDay">
            <minExclusive value="--09-12+01:00"/>
            <maxExclusive value="--12-12+01:00"/>
        </restriction>
    </simpleType>

    <xsd:element name="est31" type="sat:st31"/>
    <simpleType name="st31">
        <restriction base="gDay">
            <minExclusive value="---31+01:00"/>
            <maxExclusive value="---31+01:00"/>
        </restriction>
    </simpleType>

    <xsd:element name="est32" type="sat:st32"/>
    <simpleType name="st32">
        <restriction base="duration">
            <minExclusive value="P0Y0M0DT0H0M0S"/>
            <maxExclusive value="P2Y2M2DT2H2M-1S"/>
        </restriction>
    </simpleType>

    <xsd:element name="est33" type="sat:st33"/>
    <simpleType name="st33">
        <union>
            <simpleType>
                <restriction base='nonNegativeInteger'/>
            </simpleType>
            <simpleType>
                <restriction base='string'>
                    <enumeration value='unbounded'/>
                </restriction>
            </simpleType>
        </union>
    </simpleType>

</xsd:schema>
